## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObject::XObjectException Class Reference

`#include <XObject.hpp>`

Inheritance diagram for XObject::XObjectException

Collaboration diagram for XObject::XObjectException:

List of all members.

## Public Methods

- XObjectException ( const XalanDOMString& message = XalanDOMString(), const XalanNode* styleNode = 0, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XObjectException")))
- virtual ~XObjectException ()

## Constructor & Destructor Documentation

XObject::XObjectException::XObjectException ( | const XalanDOMString & message = XalanDOMString(),
| const XalanNode * styleNode = 0,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XObjectException")) )`[explicit]`

virtual XObject::XObjectException::~XObjectException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.